﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SilverlightApplication3
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			var dc = new ObservableCollection<Country>();
			for (int i = 0; i < 4; i++)
			{
				var country = new Country();
				for (int j = 0; j < 3; j++)
				{
					country.Items.Add(j);
				}
				for (int j = 0; j < 5; j++)
				{
					country.MaxItems.Add(j);
				}
				dc.Add(country);
			}

			this.DataContext = dc;
		}

		private void tileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			e.Handled = true;
			RadTileViewItem item = e.OriginalSource as RadTileViewItem;
			if (item != null)
			{
				var fluidControls = item.ChildrenOfType<RadFluidContentControl>();
				if (fluidControls.Count != 0)
				{
					RadFluidContentControl fluidControl = fluidControls[0];
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							fluidControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							fluidControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							fluidControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}
	}
}
